<?php
namespace Render3D\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use Render3D\Site\BlockLayout\Render3D;
use Laminas\ServiceManager\Factory\FactoryInterface;

class Render3DFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new Render3D(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['Render3DBlockForm']
		);
	}
}
?>